Create a new inspection step
curl --request POST \
--url https://api.bold-factory.com/v1/production/recipeVersions/{versionReference}/operations/{operationReference}/inspectionSteps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"minutesDurationFormula": "<string>",
"notes": "<string>",
"frequency": 123,
"externalReference": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/production/recipeVersions/{versionReference}/operations/{operationReference}/inspectionSteps"
payload = {
"name": "<string>",
"minutesDurationFormula": "<string>",
"notes": "<string>",
"frequency": 123,
"externalReference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
minutesDurationFormula: '<string>',
notes: '<string>',
frequency: 123,
externalReference: '<string>'
})
};
fetch('https://api.bold-factory.com/v1/production/recipeVersions/{versionReference}/operations/{operationReference}/inspectionSteps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"notes": "<string>",
"minutesDurationFormula": "<string>",
"frequency": 123,
"conditionFormula": "<string>"
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}Recipe Operation Steps
Create a new inspection step
Requires Production.Recipes.Write permissions
POST
/
v1
/
production
/
recipeVersions
/
{versionReference}
/
operations
/
{operationReference}
/
inspectionSteps
Create a new inspection step
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Cuerpo
application/json
Opciones disponibles:
OnceBeginning, PerUnit, OnceEnd Opciones disponibles:
Simple, Boolean, Decimal, Text, Photo, File Respuesta
Created
Opciones disponibles:
OnceBeginning, PerUnit, OnceEnd Opciones disponibles:
Action, Inspection Opciones disponibles:
Simple, Boolean, Decimal, Text, Photo, File ⌘I